Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 217913 - LVM appears to be off by 1 extent, meaning reusing an existing VG is impossible
Summary: LVM appears to be off by 1 extent, meaning reusing an existing VG is impossible
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Peter Jones
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 229090
TreeView+ depends on / blocked
 
Reported: 2006-11-30 19:04 UTC by Zack Cerza
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RC
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-08 01:08:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
screenshot (deleted)
2006-11-30 19:04 UTC, Zack Cerza
no flags Details

Description Zack Cerza 2006-11-30 19:04:56 UTC
Description of problem:
I want to install RHEL5 B2 over FC6 on my laptop, preserving /home but wiping /.
Both partitions are under LVM. When I tried setting this up manually, anaconda
complained about not having enough space in the VG; in fact, it said the VG had
-32MB free space, which is the size of one extent. See the attached screenshot.

I don't know of any other way to install without wiping /home, other than trying
to tell anaconda not to format /, which may or may not work around this problem.

Comment 1 Zack Cerza 2006-11-30 19:04:56 UTC
Created attachment 142505 [details]
screenshot

Comment 2 Marcel Hild 2006-12-01 17:32:47 UTC
Same for me.
I got arround the issue by resizing swap, which was also in LVM

Comment 4 Rob Kenna 2006-12-09 05:28:10 UTC
Pretty ugly.  pn-ack

Comment 5 Peter Jones 2006-12-12 22:45:51 UTC
Is this still happening?  If so, can you show me how to reproduce it?

Comment 6 Peter Jones 2006-12-13 00:07:29 UTC
Aha, you've got to start with a much older set of LVs.

Comment 7 Peter Jones 2006-12-13 00:53:30 UTC
Should (hopefully) be fixed in the next anaconda build.  Upgrades from RHEL4 and
new installs need to both be tested, and "lvm pvs" needs to be run after each to
make sure there's no unrequested free space left on any physical volumes.

Comment 8 RHEL Product and Program Management 2007-02-08 01:08:28 UTC
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.



Note You need to log in before you can comment on or make changes to this bug.